#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <mem.h>

/* Kopirovani pole, kopirovani pozpatku */

#define VEL 20   /* VEL - konstanta urcujici velikost pole */

void main()
{
 int A[VEL],B[VEL],C[VEL];
 int i;

 srand( (unsigned)time( NULL ) ); /* inicializace generatoru 
                                     nahodnych cisel syst. casem */
/* naplneni pole nahodnymi cisly */
 for (i=0;i<VEL;i++) A[i]=rand()-RAND_MAX/2;
/* naplneni pole nahodnymi cisly */

 /* vypise obsah pole, 5 cisel na radku */
 printf("Pole A\n");
 for (i=0;i<VEL;i++)
   {
    printf("%6d", A[i]);
    if ((i+1)%5==0) putchar('\n');
   }

 /* prekopirovani pole A do pole B varianta 1. */
 for (i=0;i<VEL;i++) B[i]=A[i];

 /* vypise obsah pole, 5 cisel na radku */
 printf("Pole B\n");
 for (i=0;i<VEL;i++)
   {
    printf("%6d", B[i]);
    if ((i+1)%5==0) putchar('\n');
   }

 /* prekopirovani pole A do pole C varianta 2. */
 memcpy(C, A, sizeof(C));

 /* vypise obsah pole, 5 cisel na radku */
 printf("Pole C\n");
 for (i=0;i<VEL;i++)
   {
    printf("%6d", C[i]);
    if ((i+1)%5==0) putchar('\n');
   }

 /* prekopirovani pole A do pole B pozpatku */
 for (i=0;i<VEL;i++) B[VEL-1-i]=A[i];
 /*
 nebo
 for (i=0;i<VEL;i++) B[i]=A[VEL-1-i];
 nebo
 j=VEL-1;
 for (i=0;i<VEL;i++) { B[i]=A[j]; j--;}
 */

 /* vypise obsah pole, 5 cisel na radku */
 printf("Pole B pozpatku\n");
 for (i=0;i<VEL;i++)
   {
    printf("%6d", B[i]);
    if ((i+1)%5==0) putchar('\n');
   }

getchar();
}

